<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page session="true" %>
<%
    String path = request.getContextPath();
    String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
    String baseUrl = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+"/";
    String t = String.valueOf(System.currentTimeMillis());
    String theme = request.getParameter("theme");
    String viewAlarmType = request.getParameter("viewAlarmType");
    String pieAlarmType = request.getParameter("pieAlarmType");
    String statusType = request.getParameter("statusType");
    String css_name = "ext-all-access.css";
    String company_code = request.getParameter("company_code");
    String loginname = request.getParameter("loginname");
    String password = request.getParameter("password");
    if(viewAlarmType==null)
    	viewAlarmType="11110010";
    if(pieAlarmType==null)
    	pieAlarmType="11110010";
    if(statusType==null)
    	statusType="11110010";
    if((company_code==null)||(company_code=="null"))
    	company_code = "";
    if(theme!=null){
    	if(theme.equals("gray"))
    		css_name = "ext-all-gray.css";
    	else if(theme.equals("access"))
    		css_name = "ext-all-access.css";
    	else if(theme.equals("neptune"))
    		css_name = "ext-neptune.css";
    	else if(theme.equals("default"))
    		css_name = "ext-all.css";
    	else if(theme.equals("scoped"))
    		css_name = "ext-all-scoped";
    	else if(theme.equals("ie"))
    		css_name = "ext-ie.css";
    	else if(theme.equals("sandbox"))
    		css_name = "ext-sandbox.css";
    	else if(theme.equals("standard"))
    		css_name = "ext-standard.css";
    }else
    	theme = "";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<link type="text/css" rel="stylesheet" href="https://a.amap.com/jsapi_demos/static/demo-center/css/demo-center.css" />
<link type="text/css" rel="stylesheet" href="<%=basePath+"res/img/myImages.css" %>"/>
<link type="text/css" rel="stylesheet" href="<%=basePath+"res/extjs/resources/css/"+css_name+"?t="+t %>"/>
<script type="text/javascript" src ="<%=basePath+"res/extjs/ext-all.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/jquery/jquery-3.5.1.min.js" %>"></script>
<script type="text/javascript" src="https://webapi.amap.com/maps?v=1.4.13&key=246349bf278f6225fa80156828d0f061&plugin=AMap.Geocoder,Map3D"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/highcharts.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/highcharts-3d.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/highcharts-more.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/modules/solid-gauge.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/modules/sunburst.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/modules/exporting.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/highcharts/code/modules/export-data.js" %>"></script>
<script type="text/javascript" src="<%=basePath+"res/usky/usky.js" %>"></script>
<script type="text/javascript" src ="<%=basePath+"view/frontpage/scripts/map.js" %>"></script>
<title>Insert title here</title>
 <style>
	html, body,
		#container {
		  width: 100%;
		  height: 100%;
		}
</style>
</head>
